#include <QtGui/QApplication>
#include "mainwindow.h"
#include <stdexcept>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    a.setOrganizationDomain("local");
    a.setOrganizationName("AFI Electronics");
    a.setApplicationName("ADC64");
    int code = 1;
    try {
       MainWindow w;
       w.show();
       code = a.exec();
    }
    catch (std::runtime_error &e) {
        qFatal(e.what());
        return 1;
    }
    return code;
}
