#include "dominodata.h"
#include <cmath>
#include <QtDebug>

DominoData::DominoData()
    : serial_id(0),
      run_ts(0),
      trig_ts(0),
      EventNumber(0)
//  , StartCell(0)
{
}


void DominoData::PrintRMS() const
{

    Q_FOREACH(int i, rawData.keys())
    {
       double rms=0;
       double mean=0;
       for(size_t j=0; j<rawData[i].size(); j++)
            mean+=rawData[i][j];
       mean/=rawData[i].size();
       for(size_t j=0; j<rawData[i].size(); j++)
            rms+=pow((rawData[i][j]-mean),2);
       rms/=rawData[i].size();
       rms=sqrt(rms);
       qDebug() << "channel " << i << "  mean=" << mean << "  rms=" << rms;
    }
}
